import { useState } from 'react';
import { unstable_useSealedState } from '../utils/useSealedState.js';

/**
 * As simple as `React.useState(false)`
 */
function useCheckboxState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _unstable_useSealedSt = unstable_useSealedState(initialState),
      _unstable_useSealedSt2 = _unstable_useSealedSt.currentValue,
      initialCurrentValue = _unstable_useSealedSt2 === void 0 ? false : _unstable_useSealedSt2;

  var _React$useState = useState(initialCurrentValue),
      currentValue = _React$useState[0],
      setValue = _React$useState[1];

  return {
    currentValue: currentValue,
    setValue: setValue
  };
}
var keys = ["currentValue", "setValue"];
useCheckboxState.__keys = keys;

export { useCheckboxState };
