import { createContext, useMemo, createElement } from 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../chunk-988837cf.js';
import '../chunk-56719312.js';
import { mergeProps } from '../utils/mergeProps.js';
import '../system/SystemProvider.js';
import '../chunk-397c8002.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../system/useToken.js';
import { unstable_useProps } from '../system/useProps.js';
import { unstable_useOptions } from '../system/useOptions.js';
import '../system/mergeSystem.js';
import '../Box/Box.js';
import '../chunk-e555b6ea.js';
import '../chunk-b4d83ecc.js';
import { unstable_useFormState } from './FormState.js';
import './utils/setAllIn.js';
import './utils/getIn.js';
import './utils/setIn.js';
import '../chunk-062e44ee.js';
import '../chunk-e6fae15a.js';
import '../chunk-48c13397.js';
import '../chunk-e2383517.js';
import '../Group/Group.js';
import { unstable_useFormGroup } from './FormGroup.js';
import { useRoverState } from '../Rover/RoverState.js';

var FormRadioGroupContext = createContext(null);
function unstable_useFormRadioGroup(options, htmlProps) {
  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var rover = useRoverState({
    loop: true
  });
  var providerValue = useMemo(function () {
    return rover;
  }, [rover.stops, rover.currentId, rover.unstable_pastId]);
  options = unstable_useOptions("FormRadioGroup", options, htmlProps);
  htmlProps = mergeProps({
    role: "radiogroup",
    unstable_wrap: function unstable_wrap(children) {
      return createElement(FormRadioGroupContext.Provider, {
        value: providerValue
      }, children);
    }
  }, htmlProps);
  htmlProps = unstable_useProps("FormRadioGroup", options, htmlProps);
  htmlProps = unstable_useFormGroup(options, htmlProps);
  return htmlProps;
}
var keys = [].concat(unstable_useFormGroup.__keys, unstable_useFormState.__keys, ["name"]);
unstable_useFormRadioGroup.__keys = keys;
var unstable_FormRadioGroup = unstable_createComponent({
  as: "fieldset",
  useHook: unstable_useFormRadioGroup
});

export { FormRadioGroupContext, unstable_FormRadioGroup, unstable_useFormRadioGroup };
