import 'react';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../chunk-988837cf.js';
import '../chunk-56719312.js';
import { mergeProps } from '../utils/mergeProps.js';
import '../system/SystemProvider.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-397c8002.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../system/useToken.js';
import { unstable_useProps } from '../system/useProps.js';
import { unstable_useOptions } from '../system/useOptions.js';
import '../system/mergeSystem.js';

function unstable_useKeyBinder(_ref, htmlProps) {
  if (_ref === void 0) {
    _ref = {};
  }

  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var _ref2 = _ref,
      _ref2$preventDefault = _ref2.preventDefault,
      preventDefault = _ref2$preventDefault === void 0 ? true : _ref2$preventDefault,
      options = _objectWithoutPropertiesLoose(_ref2, ["preventDefault"]);

  var _options = _objectSpread({
    preventDefault: preventDefault
  }, options);

  _options = unstable_useOptions("KeyBinder", _options, htmlProps);
  htmlProps = mergeProps({
    onKeyDown: function onKeyDown(event) {
      if (!_options.keyMap) return;
      var keyMap = typeof _options.keyMap === "function" ? _options.keyMap(event) : _options.keyMap;
      var shouldPreventDefault = typeof _options.preventDefault === "function" ? _options.preventDefault(event) : _options.preventDefault;
      var shouldStopPropagation = typeof _options.stopPropagation === "function" ? _options.stopPropagation(event) : _options.stopPropagation;

      if (event.key in keyMap) {
        var action = keyMap[event.key];

        if (typeof action === "function") {
          if (shouldPreventDefault) event.preventDefault();
          if (shouldStopPropagation) event.stopPropagation();
          if (_options.onKey) _options.onKey(event);
          action(event);
        }
      }
    }
  }, htmlProps);
  htmlProps = unstable_useProps("KeyBinder", options, htmlProps);
  return htmlProps;
}
var keys = ["keyMap", "onKey", "preventDefault", "stopPropagation"];
unstable_useKeyBinder.__keys = keys;
var unstable_KeyBinder = unstable_createComponent({
  as: "div",
  useHook: unstable_useKeyBinder
});

export { unstable_KeyBinder, unstable_useKeyBinder };
