import { useRef } from 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../chunk-988837cf.js';
import '../chunk-56719312.js';
import { mergeProps } from '../utils/mergeProps.js';
import '../chunk-397c8002.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../system/useToken.js';
import { unstable_useProps } from '../system/useProps.js';
import { unstable_useOptions } from '../system/useOptions.js';
import '../Box/Box.js';
import '../chunk-6e18ef4b.js';
import '../Tabbable/Tabbable.js';
import '../chunk-e555b6ea.js';
import '../Hidden/HiddenState.js';
import '../chunk-b4d83ecc.js';
import '../Dialog/DialogState.js';
import '../Rover/RoverState.js';
import { useRover } from '../Rover/Rover.js';
import 'popper.js';
import '../Popover/PopoverState.js';
import '../chunk-ee62c270.js';
import { useMenuState } from './MenuState.js';

function useMenuItem(options, htmlProps) {
  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var ref = useRef(null);
  options = unstable_useOptions("MenuItem", options, htmlProps);
  htmlProps = mergeProps({
    ref: ref,
    role: "menuitem",
    onMouseOver: function onMouseOver() {
      if (options.orientation !== "horizontal" && ref.current) {
        ref.current.focus();
      }
    },
    onMouseOut: function onMouseOut() {
      if (ref.current) {
        options.move(null);
        var menu = ref.current.closest("[role=menu],[role=menubar]");

        if (menu) {
          var nestedMenu = menu.querySelector("[role=menu][aria-hidden=false],[role=menubar][aria-hidden=false]");

          if (!nestedMenu) {
            menu.focus();
          }
        }
      }
    }
  }, htmlProps);
  htmlProps = unstable_useProps("MenuItem", options, htmlProps);
  htmlProps = useRover(options, htmlProps);
  return htmlProps;
}
var keys = [].concat(useRover.__keys, useMenuState.__keys);
useMenuItem.__keys = keys;
var MenuItem = unstable_createComponent({
  as: "button",
  useHook: useMenuItem
});

export { MenuItem, useMenuItem };
