import { useState } from 'react';
import { unstable_useSealedState } from '../utils/useSealedState.js';
import '../utils/useId.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../chunk-988837cf.js';
import '../chunk-56719312.js';
import '../utils/mergeProps.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-397c8002.js';
import '../utils/createComponent.js';
import '../system/useToken.js';
import '../system/useProps.js';
import '../system/useOptions.js';
import '../Box/Box.js';
import '../chunk-6e18ef4b.js';
import '../Tabbable/Tabbable.js';
import '../chunk-e555b6ea.js';
import '../chunk-b4d83ecc.js';
import { useRoverState } from '../Rover/RoverState.js';
import '../Rover/Rover.js';

function useRadioState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _unstable_useSealedSt = unstable_useSealedState(initialState),
      initialCurrentValue = _unstable_useSealedSt.currentValue,
      _unstable_useSealedSt2 = _unstable_useSealedSt.loop,
      loop = _unstable_useSealedSt2 === void 0 ? true : _unstable_useSealedSt2,
      sealed = _objectWithoutPropertiesLoose(_unstable_useSealedSt, ["currentValue", "loop"]);

  var _React$useState = useState(initialCurrentValue),
      currentValue = _React$useState[0],
      setValue = _React$useState[1];

  var rover = useRoverState(_objectSpread({}, sealed, {
    loop: loop
  }));
  return _objectSpread({}, rover, {
    currentValue: currentValue,
    setValue: setValue
  });
}
var keys = [].concat(useRoverState.__keys, ["currentValue", "setValue"]);
useRadioState.__keys = keys;

export { useRadioState };
