import 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../chunk-988837cf.js';
import '../chunk-56719312.js';
import { mergeProps } from '../utils/mergeProps.js';
import '../system/SystemProvider.js';
import { a as _objectWithoutPropertiesLoose, b as _objectSpread } from '../chunk-397c8002.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../system/useToken.js';
import { unstable_useProps } from '../system/useProps.js';
import { unstable_useOptions } from '../system/useOptions.js';
import '../system/mergeSystem.js';
import '../Box/Box.js';
import '../chunk-6e18ef4b.js';
import '../Tabbable/Tabbable.js';
import '../chunk-e555b6ea.js';
import '../chunk-b4d83ecc.js';
import '../Rover/RoverState.js';
import { useRover } from '../Rover/Rover.js';
import { a as getTabId, b as getTabPanelId } from '../chunk-ddf73afb.js';
import { useTabState } from './TabState.js';

function useTab(_ref, htmlProps) {
  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var _ref$focusable = _ref.focusable,
      focusable = _ref$focusable === void 0 ? true : _ref$focusable,
      options = _objectWithoutPropertiesLoose(_ref, ["focusable"]);

  var _options = _objectSpread({
    focusable: focusable
  }, options);

  _options = unstable_useOptions("Tab", _options, htmlProps);
  var selected = _options.selectedId === _options.stopId;
  htmlProps = mergeProps({
    role: "tab",
    id: getTabId(_options.stopId, _options.unstable_baseId),
    "aria-selected": selected,
    "aria-controls": getTabPanelId(_options.stopId, _options.unstable_baseId),
    onClick: function onClick() {
      if (!_options.disabled && !selected) {
        _options.select(_options.stopId);
      }
    },
    onFocus: function onFocus() {
      if (!_options.disabled && !_options.manual && !selected) {
        _options.select(_options.stopId);
      }
    }
  }, htmlProps);
  htmlProps = unstable_useProps("Tab", _options, htmlProps);
  htmlProps = useRover(_options, htmlProps);
  return htmlProps;
}
var keys = [].concat(useRover.__keys, useTabState.__keys);
useTab.__keys = keys;
var Tab = unstable_createComponent({
  as: "button",
  useHook: useTab
});

export { Tab, useTab };
