import { createElement } from 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../chunk-988837cf.js';
import '../chunk-56719312.js';
import { mergeProps } from '../utils/mergeProps.js';
import { b as _objectSpread } from '../chunk-397c8002.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../system/useToken.js';
import { unstable_useProps } from '../system/useProps.js';
import { unstable_useOptions } from '../system/useOptions.js';
import '../Box/Box.js';
import 'react-dom';
import { Portal } from '../Portal/Portal.js';
import '../Hidden/HiddenState.js';
import { useHidden } from '../Hidden/Hidden.js';
import '../Dialog/DialogState.js';
import 'popper.js';
import '../Popover/PopoverState.js';
import { useTooltipState } from './TooltipState.js';

function useTooltip(options, htmlProps) {
  if (options === void 0) {
    options = {};
  }

  if (htmlProps === void 0) {
    htmlProps = {};
  }

  options = unstable_useOptions("Tooltip", options, htmlProps);
  htmlProps = mergeProps({
    role: "tooltip",
    ref: options.unstable_popoverRef,
    style: _objectSpread({}, options.unstable_popoverStyles, {
      pointerEvents: "none"
    }),
    unstable_wrap: function unstable_wrap(children) {
      return createElement(Portal, null, children);
    }
  }, htmlProps);
  htmlProps = unstable_useProps("Tooltip", options, htmlProps);
  htmlProps = useHidden(options, htmlProps);
  return htmlProps;
}
var keys = [].concat(useHidden.__keys, useTooltipState.__keys);
useTooltip.__keys = keys;
var Tooltip = unstable_createComponent({
  as: "div",
  useHook: useTooltip
});

export { Tooltip, useTooltip };
