import 'react';
import '../utils/useSealedState.js';
import '../utils/useId.js';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../chunk-988837cf.js';
import '../chunk-56719312.js';
import '../utils/mergeProps.js';
import '../chunk-397c8002.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../system/useToken.js';
import { unstable_useProps } from '../system/useProps.js';
import { unstable_useOptions } from '../system/useOptions.js';
import '../Box/Box.js';
import '../Hidden/HiddenState.js';
import '../Dialog/DialogState.js';
import 'popper.js';
import '../Popover/PopoverState.js';
import { usePopoverArrow } from '../Popover/PopoverArrow.js';
import { useTooltipState } from './TooltipState.js';

function useTooltipArrow(options, htmlProps) {
  if (htmlProps === void 0) {
    htmlProps = {};
  }

  options = unstable_useOptions("TooltipArrow", options, htmlProps);
  htmlProps = unstable_useProps("TooltipArrow", options, htmlProps);
  htmlProps = usePopoverArrow(options, htmlProps);
  return htmlProps;
}
var keys = [].concat(usePopoverArrow.__keys, useTooltipState.__keys);
useTooltipArrow.__keys = keys;
var TooltipArrow = unstable_createComponent({
  as: "div",
  useHook: useTooltipArrow
});

export { TooltipArrow, useTooltipArrow };
