import 'react';
import '../utils/useCreateElement.js';
import '../system/SystemContext.js';
import '../chunk-988837cf.js';
import '../chunk-56719312.js';
import { mergeProps } from '../utils/mergeProps.js';
import '../system/SystemProvider.js';
import '../chunk-397c8002.js';
import { unstable_createComponent } from '../utils/createComponent.js';
import '../system/useToken.js';
import { unstable_useProps } from '../system/useProps.js';
import { unstable_useOptions } from '../system/useOptions.js';
import '../system/mergeSystem.js';
import { useBox } from '../Box/Box.js';

function useVisuallyHidden(options, htmlProps) {
  if (options === void 0) {
    options = {};
  }

  if (htmlProps === void 0) {
    htmlProps = {};
  }

  options = unstable_useOptions("VisuallyHidden", options, htmlProps);
  htmlProps = mergeProps({
    style: {
      border: 0,
      clip: "rect(0 0 0 0)",
      height: "1px",
      margin: "-1px",
      overflow: "hidden",
      padding: 0,
      position: "absolute",
      whiteSpace: "nowrap",
      width: "1px"
    }
  }, htmlProps);
  htmlProps = unstable_useProps("VisuallyHidden", options, htmlProps);
  htmlProps = useBox(options, htmlProps);
  return htmlProps;
}
var keys = [].concat(useBox.__keys);
useVisuallyHidden.__keys = keys;
var VisuallyHidden = unstable_createComponent({
  as: "div",
  useHook: useVisuallyHidden
});

export { VisuallyHidden, useVisuallyHidden };
