'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../chunk-8e8e1bad.js');
require('../chunk-2138b837.js');
var mergeProps = require('../utils/mergeProps.js');
require('../system/SystemProvider.js');
var __chunk_3 = require('../chunk-37dea005.js');
var createComponent = require('../utils/createComponent.js');
require('../system/useToken.js');
var useProps = require('../system/useProps.js');
var useOptions = require('../system/useOptions.js');
require('../system/mergeSystem.js');

function unstable_useKeyBinder(_ref, htmlProps) {
  if (_ref === void 0) {
    _ref = {};
  }

  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var _ref2 = _ref,
      _ref2$preventDefault = _ref2.preventDefault,
      preventDefault = _ref2$preventDefault === void 0 ? true : _ref2$preventDefault,
      options = __chunk_3._objectWithoutPropertiesLoose(_ref2, ["preventDefault"]);

  var _options = __chunk_3._objectSpread({
    preventDefault: preventDefault
  }, options);

  _options = useOptions.unstable_useOptions("KeyBinder", _options, htmlProps);
  htmlProps = mergeProps.mergeProps({
    onKeyDown: function onKeyDown(event) {
      if (!_options.keyMap) return;
      var keyMap = typeof _options.keyMap === "function" ? _options.keyMap(event) : _options.keyMap;
      var shouldPreventDefault = typeof _options.preventDefault === "function" ? _options.preventDefault(event) : _options.preventDefault;
      var shouldStopPropagation = typeof _options.stopPropagation === "function" ? _options.stopPropagation(event) : _options.stopPropagation;

      if (event.key in keyMap) {
        var action = keyMap[event.key];

        if (typeof action === "function") {
          if (shouldPreventDefault) event.preventDefault();
          if (shouldStopPropagation) event.stopPropagation();
          if (_options.onKey) _options.onKey(event);
          action(event);
        }
      }
    }
  }, htmlProps);
  htmlProps = useProps.unstable_useProps("KeyBinder", options, htmlProps);
  return htmlProps;
}
var keys = ["keyMap", "onKey", "preventDefault", "stopPropagation"];
unstable_useKeyBinder.__keys = keys;
var unstable_KeyBinder = createComponent.unstable_createComponent({
  as: "div",
  useHook: unstable_useKeyBinder
});

exports.unstable_KeyBinder = unstable_KeyBinder;
exports.unstable_useKeyBinder = unstable_useKeyBinder;
