'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../chunk-8e8e1bad.js');
require('../chunk-2138b837.js');
var mergeProps = require('../utils/mergeProps.js');
require('../chunk-37dea005.js');
var createComponent = require('../utils/createComponent.js');
require('../system/useToken.js');
var useProps = require('../system/useProps.js');
var useOptions = require('../system/useOptions.js');
require('../Box/Box.js');
require('../chunk-9263130a.js');
require('../Tabbable/Tabbable.js');
require('../chunk-ebc3ed80.js');
require('../Hidden/HiddenState.js');
require('../chunk-5a603fe6.js');
require('../Dialog/DialogState.js');
require('../Rover/RoverState.js');
var Rover = require('../Rover/Rover.js');
require('popper.js');
require('../Popover/PopoverState.js');
require('../chunk-8a7a2ea8.js');
var MenuState = require('./MenuState.js');

function useMenuItem(options, htmlProps) {
  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var ref = React.useRef(null);
  options = useOptions.unstable_useOptions("MenuItem", options, htmlProps);
  htmlProps = mergeProps.mergeProps({
    ref: ref,
    role: "menuitem",
    onMouseOver: function onMouseOver() {
      if (options.orientation !== "horizontal" && ref.current) {
        ref.current.focus();
      }
    },
    onMouseOut: function onMouseOut() {
      if (ref.current) {
        options.move(null);
        var menu = ref.current.closest("[role=menu],[role=menubar]");

        if (menu) {
          var nestedMenu = menu.querySelector("[role=menu][aria-hidden=false],[role=menubar][aria-hidden=false]");

          if (!nestedMenu) {
            menu.focus();
          }
        }
      }
    }
  }, htmlProps);
  htmlProps = useProps.unstable_useProps("MenuItem", options, htmlProps);
  htmlProps = Rover.useRover(options, htmlProps);
  return htmlProps;
}
var keys = [].concat(Rover.useRover.__keys, MenuState.useMenuState.__keys);
useMenuItem.__keys = keys;
var MenuItem = createComponent.unstable_createComponent({
  as: "button",
  useHook: useMenuItem
});

exports.MenuItem = MenuItem;
exports.useMenuItem = useMenuItem;
