'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var useSealedState = require('../utils/useSealedState.js');
require('../utils/useId.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../chunk-8e8e1bad.js');
require('../chunk-2138b837.js');
require('../utils/mergeProps.js');
var __chunk_3 = require('../chunk-37dea005.js');
require('../utils/createComponent.js');
require('../system/useToken.js');
require('../system/useProps.js');
require('../system/useOptions.js');
require('../Box/Box.js');
require('../chunk-9263130a.js');
require('../Tabbable/Tabbable.js');
require('../chunk-ebc3ed80.js');
require('../chunk-5a603fe6.js');
var RoverState = require('../Rover/RoverState.js');
require('../Rover/Rover.js');

function useRadioState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _unstable_useSealedSt = useSealedState.unstable_useSealedState(initialState),
      initialCurrentValue = _unstable_useSealedSt.currentValue,
      _unstable_useSealedSt2 = _unstable_useSealedSt.loop,
      loop = _unstable_useSealedSt2 === void 0 ? true : _unstable_useSealedSt2,
      sealed = __chunk_3._objectWithoutPropertiesLoose(_unstable_useSealedSt, ["currentValue", "loop"]);

  var _React$useState = React.useState(initialCurrentValue),
      currentValue = _React$useState[0],
      setValue = _React$useState[1];

  var rover = RoverState.useRoverState(__chunk_3._objectSpread({}, sealed, {
    loop: loop
  }));
  return __chunk_3._objectSpread({}, rover, {
    currentValue: currentValue,
    setValue: setValue
  });
}
var keys = [].concat(RoverState.useRoverState.__keys, ["currentValue", "setValue"]);
useRadioState.__keys = keys;

exports.useRadioState = useRadioState;
