'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../chunk-8e8e1bad.js');
require('../chunk-2138b837.js');
var mergeProps = require('../utils/mergeProps.js');
require('../system/SystemProvider.js');
var __chunk_3 = require('../chunk-37dea005.js');
var createComponent = require('../utils/createComponent.js');
require('../system/useToken.js');
var useProps = require('../system/useProps.js');
var useOptions = require('../system/useOptions.js');
require('../system/mergeSystem.js');
require('../Box/Box.js');
require('../chunk-9263130a.js');
require('../Tabbable/Tabbable.js');
require('../chunk-ebc3ed80.js');
require('../chunk-5a603fe6.js');
require('../Rover/RoverState.js');
var Rover = require('../Rover/Rover.js');
var __chunk_14 = require('../chunk-8078ee09.js');
var TabState = require('./TabState.js');

function useTab(_ref, htmlProps) {
  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var _ref$focusable = _ref.focusable,
      focusable = _ref$focusable === void 0 ? true : _ref$focusable,
      options = __chunk_3._objectWithoutPropertiesLoose(_ref, ["focusable"]);

  var _options = __chunk_3._objectSpread({
    focusable: focusable
  }, options);

  _options = useOptions.unstable_useOptions("Tab", _options, htmlProps);
  var selected = _options.selectedId === _options.stopId;
  htmlProps = mergeProps.mergeProps({
    role: "tab",
    id: __chunk_14.getTabId(_options.stopId, _options.unstable_baseId),
    "aria-selected": selected,
    "aria-controls": __chunk_14.getTabPanelId(_options.stopId, _options.unstable_baseId),
    onClick: function onClick() {
      if (!_options.disabled && !selected) {
        _options.select(_options.stopId);
      }
    },
    onFocus: function onFocus() {
      if (!_options.disabled && !_options.manual && !selected) {
        _options.select(_options.stopId);
      }
    }
  }, htmlProps);
  htmlProps = useProps.unstable_useProps("Tab", _options, htmlProps);
  htmlProps = Rover.useRover(_options, htmlProps);
  return htmlProps;
}
var keys = [].concat(Rover.useRover.__keys, TabState.useTabState.__keys);
useTab.__keys = keys;
var Tab = createComponent.unstable_createComponent({
  as: "button",
  useHook: useTab
});

exports.Tab = Tab;
exports.useTab = useTab;
