'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../chunk-8e8e1bad.js');
require('../chunk-2138b837.js');
var mergeProps = require('../utils/mergeProps.js');
var __chunk_3 = require('../chunk-37dea005.js');
var createComponent = require('../utils/createComponent.js');
require('../system/useToken.js');
var useProps = require('../system/useProps.js');
var useOptions = require('../system/useOptions.js');
require('../Box/Box.js');
require('react-dom');
var Portal = require('../Portal/Portal.js');
require('../Hidden/HiddenState.js');
var Hidden = require('../Hidden/Hidden.js');
require('../Dialog/DialogState.js');
require('popper.js');
require('../Popover/PopoverState.js');
var TooltipState = require('./TooltipState.js');

function useTooltip(options, htmlProps) {
  if (options === void 0) {
    options = {};
  }

  if (htmlProps === void 0) {
    htmlProps = {};
  }

  options = useOptions.unstable_useOptions("Tooltip", options, htmlProps);
  htmlProps = mergeProps.mergeProps({
    role: "tooltip",
    ref: options.unstable_popoverRef,
    style: __chunk_3._objectSpread({}, options.unstable_popoverStyles, {
      pointerEvents: "none"
    }),
    unstable_wrap: function unstable_wrap(children) {
      return React.createElement(Portal.Portal, null, children);
    }
  }, htmlProps);
  htmlProps = useProps.unstable_useProps("Tooltip", options, htmlProps);
  htmlProps = Hidden.useHidden(options, htmlProps);
  return htmlProps;
}
var keys = [].concat(Hidden.useHidden.__keys, TooltipState.useTooltipState.__keys);
useTooltip.__keys = keys;
var Tooltip = createComponent.unstable_createComponent({
  as: "div",
  useHook: useTooltip
});

exports.Tooltip = Tooltip;
exports.useTooltip = useTooltip;
