'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../chunk-8e8e1bad.js');
require('../chunk-2138b837.js');
var mergeProps = require('../utils/mergeProps.js');
require('../system/SystemProvider.js');
require('../chunk-37dea005.js');
var createComponent = require('../utils/createComponent.js');
require('../system/useToken.js');
var useProps = require('../system/useProps.js');
var useOptions = require('../system/useOptions.js');
require('../system/mergeSystem.js');
var Box = require('../Box/Box.js');

function useVisuallyHidden(options, htmlProps) {
  if (options === void 0) {
    options = {};
  }

  if (htmlProps === void 0) {
    htmlProps = {};
  }

  options = useOptions.unstable_useOptions("VisuallyHidden", options, htmlProps);
  htmlProps = mergeProps.mergeProps({
    style: {
      border: 0,
      clip: "rect(0 0 0 0)",
      height: "1px",
      margin: "-1px",
      overflow: "hidden",
      padding: 0,
      position: "absolute",
      whiteSpace: "nowrap",
      width: "1px"
    }
  }, htmlProps);
  htmlProps = useProps.unstable_useProps("VisuallyHidden", options, htmlProps);
  htmlProps = Box.useBox(options, htmlProps);
  return htmlProps;
}
var keys = [].concat(Box.useBox.__keys);
useVisuallyHidden.__keys = keys;
var VisuallyHidden = createComponent.unstable_createComponent({
  as: "div",
  useHook: useVisuallyHidden
});

exports.VisuallyHidden = VisuallyHidden;
exports.useVisuallyHidden = useVisuallyHidden;
