import * as React from "react";
import { TabbableOptions, TabbableProps } from "../Tabbable/Tabbable";
import { CheckboxStateReturn } from "./CheckboxState";
export declare type CheckboxOptions = TabbableOptions & Pick<Partial<CheckboxStateReturn>, "currentValue" | "setValue"> & {
    /**
     * Checkbox's value is going to be used when multiple checkboxes share the
     * same state. Checking a checkbox with value will add it to the state
     * array.
     */
    value?: any;
    /**
     * Checkbox's checked state. If present, it's used instead of currentValue.
     */
    checked?: boolean;
};
export declare type CheckboxProps = TabbableProps & React.InputHTMLAttributes<any>;
export declare function useCheckbox(options?: CheckboxOptions, htmlProps?: CheckboxProps): import("..").RadioProps;
export declare namespace useCheckbox {
    var __keys: ("unstable_system" | "disabled" | "focusable" | "unstable_clickKeys" | "value" | "currentValue" | "setValue" | "checked")[];
}
export declare const Checkbox: import("../utils/createComponent").Component<"input", CheckboxOptions>;
