import * as React from "react";
import { PropsWithAs, ArrayValue, Omit } from "../__utils/types";
import { CheckboxOptions, CheckboxProps } from "../Checkbox/Checkbox";
import { DeepPath, DeepPathValue } from "./__utils/types";
import { unstable_FormStateReturn } from "./FormState";
export declare type unstable_FormCheckboxOptions<V, P extends DeepPath<V, P>> = Omit<CheckboxOptions, "value" | "currentValue" | "setValue"> & Pick<unstable_FormStateReturn<V>, "baseId" | "values" | "update" | "blur" | "touched" | "errors"> & {
    /**
     * Checkbox's name as in form values.
     */
    name: P;
    /**
     * Checkbox's value is going to be used when multiple checkboxes share the
     * same state. Checking a checkbox with value will add it to the state
     * array.
     */
    value?: ArrayValue<DeepPathValue<V, P>>;
};
export declare type unstable_FormCheckboxProps = CheckboxProps & React.InputHTMLAttributes<any>;
export declare function unstable_useFormCheckbox<V, P extends DeepPath<V, P>>(options: unstable_FormCheckboxOptions<V, P>, htmlProps?: unstable_FormCheckboxProps): import("..").RadioProps;
export declare namespace unstable_useFormCheckbox {
    var __keys: ("unstable_system" | "push" | "values" | "remove" | "blur" | "disabled" | "focusable" | "unstable_clickKeys" | "name" | "value" | "submit" | "reset" | "currentValue" | "setValue" | "checked" | "baseId" | "touched" | "messages" | "errors" | "validating" | "valid" | "submitting" | "submitSucceed" | "submitFailed" | "validate" | "update")[];
}
export declare const unstable_FormCheckbox: <V, P extends DeepPath<V, P>, T extends React.ElementType<any> = "input">(props: PropsWithAs<unstable_FormCheckboxOptions<V, P>, T>) => JSX.Element;
