import * as React from "react";
import { PropsWithAs } from "../__utils/types";
import { TabbableOptions, TabbableProps } from "../Tabbable/Tabbable";
import { DeepPath } from "./__utils/types";
import { unstable_FormStateReturn } from "./FormState";
export declare type unstable_FormInputOptions<V, P extends DeepPath<V, P>> = TabbableOptions & Pick<unstable_FormStateReturn<V>, "baseId" | "values" | "touched" | "errors" | "update" | "blur"> & {
    /**
     * FormInput's name as in form values.
     */
    name: P;
};
export declare type unstable_FormInputProps = TabbableProps & React.InputHTMLAttributes<any>;
export declare function unstable_useFormInput<V, P extends DeepPath<V, P>>(options: unstable_FormInputOptions<V, P>, htmlProps?: unstable_FormInputProps): import("..").RadioProps;
export declare namespace unstable_useFormInput {
    var __keys: ("unstable_system" | "push" | "values" | "remove" | "blur" | "disabled" | "focusable" | "unstable_clickKeys" | "name" | "submit" | "reset" | "baseId" | "touched" | "messages" | "errors" | "validating" | "valid" | "submitting" | "submitSucceed" | "submitFailed" | "validate" | "update")[];
}
export declare const unstable_FormInput: <V, P extends DeepPath<V, P>, T extends React.ElementType<any> = "input">(props: PropsWithAs<unstable_FormInputOptions<V, P>, T>) => JSX.Element;
