import * as React from "react";
import { PropsWithAs } from "../__utils/types";
import { BoxOptions, BoxProps } from "../Box/Box";
import { DeepPath } from "./__utils/types";
import { unstable_FormStateReturn } from "./FormState";
export declare type unstable_FormLabelOptions<V, P extends DeepPath<V, P>> = BoxOptions & Pick<unstable_FormStateReturn<V>, "baseId" | "values"> & {
    /**
     * FormInput's name as in form values.
     */
    name: P;
    /**
     * Label can be passed as the `label` prop or `children`.
     */
    label?: any;
};
export declare type unstable_FormLabelProps = BoxProps & React.LabelHTMLAttributes<any>;
export declare function unstable_useFormLabel<V, P extends DeepPath<V, P>>(options: unstable_FormLabelOptions<V, P>, htmlProps?: unstable_FormLabelProps): unstable_FormLabelProps;
export declare namespace unstable_useFormLabel {
    var __keys: ("label" | "unstable_system" | "push" | "values" | "remove" | "blur" | "name" | "submit" | "reset" | "baseId" | "touched" | "messages" | "errors" | "validating" | "valid" | "submitting" | "submitSucceed" | "submitFailed" | "validate" | "update")[];
}
export declare const unstable_FormLabel: <V, P extends DeepPath<V, P>, T extends React.ElementType<any> = "label">(props: PropsWithAs<unstable_FormLabelOptions<V, P>, T>) => JSX.Element;
