import * as React from "react";
import { RoverOptions, RoverProps } from "../Rover/Rover";
import { RadioStateReturn } from "./RadioState";
export declare type RadioOptions = RoverOptions & Pick<Partial<RadioStateReturn>, "currentValue" | "setValue"> & {
    /**
     * Same as the `value` attribute.
     */
    value: any;
    /**
     * Same as the `checked` attribute.
     */
    checked?: boolean;
};
export declare type RadioProps = RoverProps & React.InputHTMLAttributes<any>;
export declare function useRadio(options: RadioOptions, htmlProps?: RadioProps): RadioProps;
export declare namespace useRadio {
    var __keys: ("unstable_system" | "move" | "orientation" | "stops" | "currentId" | "unstable_pastId" | "loop" | "register" | "unregister" | "next" | "previous" | "first" | "last" | "unstable_reset" | "unstable_orientate" | "disabled" | "focusable" | "unstable_clickKeys" | "stopId" | "value" | "currentValue" | "setValue" | "checked")[];
}
export declare const Radio: import("../utils/createComponent").Component<"input", RadioOptions>;
