import { BoxOptions, BoxProps } from "../Box/Box";
export declare type SeparatorOptions = BoxOptions & {
    /**
     * Separator's context orientation.
     * The actual separator's orientation will be flipped based on this prop.
     * So a `"vertical"` orientation means that the separator will have a
     * `"horizontal"` orientation.
     */
    orientation?: "horizontal" | "vertical";
};
export declare type SeparatorProps = BoxProps;
export declare function useSeparator({ orientation, ...options }?: SeparatorOptions, htmlProps?: SeparatorProps): BoxProps;
export declare namespace useSeparator {
    var __keys: ("unstable_system" | "orientation")[];
}
export declare const Separator: import("../utils/createComponent").Component<"hr", SeparatorOptions>;
