/// <reference types="react" />
import { As, PropsWithAs } from "../__utils/types";
import { BoxProps } from "../Box/Box";
import { unstable_useCreateElement as defaultUseCreateElement } from "./useCreateElement";
declare type Hook<O> = {
    (options?: O, props?: BoxProps): NonNullable<typeof props>;
    __keys?: ReadonlyArray<any>;
};
declare type Options<T extends As, O> = {
    as: T;
    useHook?: Hook<O>;
    keys?: ReadonlyArray<any>;
    useCreateElement?: typeof defaultUseCreateElement;
};
export interface Component<T extends As, O> {
    <TT extends As>(props: PropsWithAs<O, TT> & {
        as: TT;
    }): JSX.Element;
    (props: PropsWithAs<O, T>): JSX.Element;
}
export declare function unstable_createComponent<T extends As, O>({ as: type, useHook, keys, useCreateElement }: Options<T, O>): Component<T, O>;
export {};
